[mythtv-users] Bad to Worse - CVS mythfrontend won't start

Nowhere nowhere at cox.net
Sun Jul 11 02:42:22 EDT 2004


Sorry to reply to myself but it seems that removing (rpm -e) all the old
drivers and modules that we still left over, lirc is once again working.


As for the db error with the latest CVS, manually dropping a couple
columns did the trick...


Thanks once again for all the help everyone!
Eric

My MythBox:
Athlon XP 2000+, MSI K7N2GM-L, 512MB Kbyte, 80GB Seagate Single Platter,
2xPVR250 Coolmax CX300B Silent†PSU, Coolermaster ATC-610BX1 Case, Fedora
Core 1, 2.4.22-1.2179 kernel, ivtv-0.1.9, myth 0.15.20040505.1


> -----Original Message-----
> From: mythtv-users-bounces at mythtv.org [mailto:mythtv-users-
> bounces at mythtv.org] On Behalf Of Nowhere
> Sent: Saturday, July 10, 2004 9:05 PM
> To: MythTV Users
> Subject: [mythtv-users] Bad to Worse - CVS mythfrontend won't start
> 
> Thanks for the responses on the LIRC and keyboard problems.
> 
> I just finished compiling CVS this afternoon and now mythfrontend
wonít
> start. I get the following error:
> 
> Xlib:  extension "GLX" missing on display ":1.0".
> Xlib:  extension "GLX" missing on display ":1.0".
> 2004-07-10 20:50:36 Upgrading to schema version 1053
> DB Error (Performing database upgrade):
> Query was:
> ALTER TABLE recorded ADD COLUMN stars FLOAT UNSIGNED NOT NULL DEFAULT
0;
> Driver error was [2/-1]:
> QMYSQL3: Unable to execute query
> Database error was:
> Duplicate column name 'stars'
> 
> So I have a bevy of problems.
> GLX makes me think of an nvidia driver problem. Checking rpm -qa |
grep
> nvidia gives me
> 
> nvidia-graphics5328-libs-1.0_5328-59.rhfc1.at
> nvidia-graphics4363-libs-1.0_4363-59.rhfc1.at
>
nvidia-graphics4363-kmdl-2.4.22-1.2174.nptl_37.rhfc1.at-1.0_4363-46.rhfc
> 1.at
>
kernel-module-nvidia-graphics4363-2.4.22-1.2197.nptl-1.0_4363-59.rhfc1.a
> t
>
kernel-module-nvidia-graphics4363-2.4.22-1.2197.nptl_51.rhfc1.at-1.0_436
> 3-59.rhfc1.at
> nvidia-graphics-helpers-0.0.5-5.at
> nvidia-graphics4363-1.0_4363-59.rhfc1.at
> 
> 
> Does this mean I have two versions of the driver installed? I cannot
> rpm -e nvidia-graphics5328-libs-1.0_5328-59.rhfc1.at because
> error: Failed dependencies:
>         libXvMCNVIDIA_dynamic.so.1(XVMCNVIDIA) is needed by
(installed)
> mplayer-1.0-33_pre4.rhfc1.at
> (I KNEW I shouldn't have donít that dist-upgrade...).
> 
> So should I rpm -e the new driver? And if so that means I need to
revert
> any of the packages that barf on it yes?
> 
> 
> As for the mysql error I'm at a loss. I don't know if I should drop
the
> column and try again or not...
> 
> 
> 
> 
> 
> 
> My MythBox:
> Athlon XP 2000+, MSI K7N2GM-L, 512MB Kbyte, 80GB Seagate Single
Platter,
> 2xPVR250 Coolmax CX300B Silent†PSU, Coolermaster ATC-610BX1 Case,
Fedora
> Core 1, 2.4.22-1.2179 kernel, ivtv-0.1.9, myth 0.15.20040505.1
> 
> 
> 
> _______________________________________________
> mythtv-users mailing list
> mythtv-users at mythtv.org
> http://mythtv.org/cgi-bin/mailman/listinfo/mythtv-users



More information about the mythtv-users mailing list